WinNT.TOKEN_GROUPS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: TOKEN_GROUPS

Package com.sun.jna.platform.win32

# Class WinNT.TOKEN_GROUPS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.TOKEN_GROUPS

Enclosing interface:
  WinNT

@FieldOrder({"GroupCount","Group0"}) public static class WinNT.TOKEN_GROUPS extends Structure
The TOKEN_GROUPS structure contains information about the group security identifiers (SIDs) in an access token.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.SID_AND_ATTRIBUTES`
  `Group0`
  `int`
  `GroupCount`
  Specifies the number of groups in the access token.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TOKEN_GROUPS()`
  `TOKEN_GROUPS(int size)`
  `TOKEN_GROUPS(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.SID_AND_ATTRIBUTES[]`
  `getGroups()`
  Specifies an array of SID_AND_ATTRIBUTES structures that contain a set of SIDs and corresponding attributes.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GroupCount

    public int GroupCount
    Specifies the number of groups in the access token.

  - ### Group0

    public WinNT.SID_AND_ATTRIBUTES Group0

- ## Constructor Details

  - ### TOKEN_GROUPS

    public TOKEN_GROUPS()

  - ### TOKEN_GROUPS

    public TOKEN_GROUPS(Pointer memory)

  - ### TOKEN_GROUPS

    public TOKEN_GROUPS(int size)

- ## Method Details

  - ### getGroups

    public WinNT.SID_AND_ATTRIBUTES[] getGroups()
    Specifies an array of SID_AND_ATTRIBUTES structures that contain a set of SIDs and corresponding attributes.
    Returns:
      attributes